Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelOrderer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelOrderer.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelOrderer.cs	(revision 83)
@@ -374,7 +374,7 @@
                         foreach (RequestHead ReqHead in lstReqHead)
                         {
                             // 最終承認済
-                            if (ClsApprovalPermission.CheckApprovalData(ReqHead.ReqConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, ReqHead.OrderNo) == true)
+                            if (ClsApprovalPermission.CheckProcessApprovalData(ReqHead.ReqConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, ReqHead.OrderNo) == true)
                             {
                                 // 請求月をリストに追加（以降はチェックする必要なし）
                                 lstReqestMonth.Add(nRequestMonth);
@@ -432,7 +432,7 @@
                 foreach (RequestHead ReqHead in lstWork)
                 {
                     // 最終承認されていない場合は対象外
-                    if (ClsApprovalPermission.CheckApprovalData(ReqHead.ReqConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, ReqHead.OrderNo) == false)
+                    if (ClsApprovalPermission.CheckProcessApprovalData(ReqHead.ReqConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, ReqHead.OrderNo) == false)
                     {
                         continue;
                     }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelRequest.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelRequest.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelRequest.cs	(revision 83)
@@ -535,7 +535,7 @@
                 foreach (RequestHead ReqHead in lstWork)
                 {
                     // 最終承認済
-                    if (ClsApprovalPermission.CheckApprovalData(ReqHead.ReqConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, ReqHead.OrderNo) == false)
+                    if (ClsApprovalPermission.CheckProcessApprovalData(ReqHead.ReqConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, ReqHead.OrderNo) == false)
                     {
                         continue;
                     }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(revision 83)
@@ -274,7 +274,7 @@
             ClearErrorIndicate();
 
             // 申請チェック
-            ret = CheckApproval(ref lstMainConstructionCode);
+            ret = CheckProcessApproval(ref lstMainConstructionCode);
 
             // 状態が入力中の場合
             if (nOldState == (int)ApprovalState.Entry)
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs	(revision 83)
@@ -657,7 +657,7 @@
 
         #region 承認チェック
 
-        private int CheckApproval(ref List<int> lstMainConstructionCode)
+        private int CheckProcessApproval(ref List<int> lstMainConstructionCode)
         {
             IOConstructionProgressDate ioProg = new IOConstructionProgressDate();
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SalesGraphData/FrmSalesGraphData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SalesGraphData/FrmSalesGraphData.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SalesGraphData/FrmSalesGraphData.cs	(revision 83)
@@ -325,6 +325,8 @@
 
                 // 変更フラグOff
                 m_bChengeAns = false;
+
+                CommonMotions.RemoveEndMessage("売上グラフ行データ");
             }
             catch (System.Exception ex)
             {
@@ -367,6 +369,8 @@
 
                 // 変更フラグクリア
                 m_bChengeAns = false;
+
+                CommonMotions.EntryEndMessage("売上グラフデータ");
             }
             catch (System.Exception ex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SubConstrRegist/FrmSubConstrRegist.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SubConstrRegist/FrmSubConstrRegist.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SubConstrRegist/FrmSubConstrRegist.cs	(revision 83)
@@ -0,0 +1,889 @@
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Collections;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.Master;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+//*---------------------------- 協力業者登録申請画面 ----------------------------*
+//  2017/03/28  Ver1.0.0.0      Create Source           
+//
+//
+//
+//*----------------------------------------------------------------------------*
+namespace ProcessManagement.Forms.DataEntry
+{
+    public partial class FrmSubConstrRegist : Form
+    {
+        #region 使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        #region 自プロセス名称
+        /// <summary>
+        /// 自プロセス名称
+        /// </summary>
+        private const string s_MyProcessName = "協力会社登録承認";
+        #endregion
+
+        #region データ区分
+        /// <summary>
+        /// データ区分
+        /// </summary>
+        public enum DataMode
+        {
+            NewData = 0,
+            EditData,
+        }
+        #endregion
+
+        #region 表示順番
+        /// <summary>
+        /// 表示順番
+        /// </summary>
+        private enum DispCtrl
+        {
+            EditMode = 0,
+            PersonCode,
+            PersonName,
+            DepartmentName,
+            CreateDate,
+            CorporateStatusName,
+            CorporateStatusPoint,
+            CompanyName,
+            CEOPositionName,
+            CEOName,
+            ContactPersonName,
+            ZipCode,
+            Address1,
+            Address2,
+            Address3,
+            CellPhoneNumber,
+            MailAddress,
+            PhoneNumber,
+            FaxNumber,
+            JapaneseSyllabary,
+            StartDate,
+            Note,
+            btnSerchZip,
+            PointNone,
+            PointFront,
+            PointRear,
+            GridJobItem,
+            btnJobItemAdd,
+            btnJobItemDelte,
+            GridJobLink,
+            btnJobLinkAdd,
+            btnJobLinkDelte,
+            PaymentNormal,
+            PaymentLabour,
+            OrderNo,
+            OrderDate,
+        }
+        #endregion
+
+        #region 編集モード固定文字
+        /// <summary>
+        /// 編集モード固定文字
+        /// </summary>
+        private const string s_FixTitle = "　申　請";
+        #endregion
+
+        #region 画面チェック用レングス
+        /// <summary>
+        /// 会社名
+        /// </summary>
+        private const int s_CompanyNameLength = 100;
+        /// <summary>
+        /// 代表者氏名
+        /// </summary>
+        private const int s_CEONameLength = 60;
+        /// <summary>
+        /// 役職名
+        /// </summary>
+        private const int s_CEOPositionNameLength = 60;
+        /// <summary>
+        /// 住所
+        /// </summary>
+        private const int s_AddressLength = 60;
+        /// <summary>
+        /// 備考
+        /// </summary>
+        private const int s_NoteLength = 300;
+        /// <summary>
+        /// 50音読み
+        /// </summary>
+        private const int s_JapaneseSyllabaryLength = 2;
+        #endregion
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// フィールド値変化フラグ
+        /// </summary>
+        private bool        m_bChengeAns = false;
+
+        /// <summary>
+        /// 表示コントロール保持配列
+        /// </summary>
+        private Control[]   m_dispControl;
+
+        /// <summary>
+        /// 申請者番号
+        /// </summary>
+        private int         m_PersonCode = 0;
+        /// <summary>
+        /// 申請年月
+        /// </summary>
+        private DateTime    m_CreateDate = DateTime.MinValue;
+        /// <summary>
+        /// 申請連番
+        /// </summary>
+        private int         m_SeqNo = 0;
+        /// <summary>
+        /// 申請年度
+        /// </summary>
+        private int         m_BusinessPeriod = 0;
+
+        /// <summary>
+        /// 新規データ作成フラグ
+        /// </summary>
+        private bool        m_NewData = false;
+
+        /// <summary>
+        /// 終了ボタン押下フラグ
+        /// </summary>
+        private bool        m_EndButton = false;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool        m_EditLock = false;
+
+        /// <summary>
+        /// 親フォーム終了
+        /// </summary>
+        private bool        m_ParentEnd = false;
+
+        /// <summary>
+        /// 編集前協力会社コード
+        /// </summary>
+        private int         m_SourceCode = 0;
+
+        /// <summary>
+        /// 協力会社マスタメンテナンス画面
+        /// </summary>
+        private FrmSubContractor m_frm = null;
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 申請者番号
+        /// </summary>
+        public int PersonCode
+        {
+            get { return m_PersonCode; }
+            set { m_PersonCode = value; }
+        }
+        /// <summary>
+        /// 申請年月
+        /// </summary>
+        public DateTime CreateDate
+        {
+            get { return m_CreateDate; }
+            set { m_CreateDate = value; }
+        }
+        /// <summary>
+        /// 申請連番
+        /// </summary>
+        public int SeqNo 
+        {
+            get { return m_SeqNo; }
+            set { m_SeqNo = value; }
+        }
+        /// <summary>
+        /// 申請年度
+        /// </summary>
+        public int BusinessPeriod
+        {
+            get { return m_BusinessPeriod; }
+            set { m_BusinessPeriod = value; }
+        }
+
+        /// <summary>
+        /// 新規データ作成フラグ
+        /// </summary>
+        public bool NewData
+        {
+            get { return m_NewData; }
+            set { m_NewData = value; }
+        }
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
+
+        /// <summary>
+        /// 親フォーム終了
+        /// </summary>
+        public bool ParentEnd
+        {
+            get { return m_ParentEnd; }
+            set { m_ParentEnd=value;}
+        }
+        #endregion
+
+        #region コンストラクタ
+        public FrmSubConstrRegist()
+        {
+            InitializeComponent();
+        }
+        #endregion
+        #region デストラクタ
+        ~FrmSubConstrRegist()
+        {
+            try
+            {
+                GC.Collect();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region ×ボタン押下処理
+        /// <summary>
+        /// ×ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmSubConstrRegist_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            if (m_EndButton) return;
+            if (m_bChengeAns && !m_EditLock)
+            {
+                if (MessageBox.Show("データに変更があります、登録せずに終了してよろしいですか？。", "終了確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    e.Cancel = true;
+                    return;
+                }
+            }
+            if (m_frm != null) m_frm.Dispose();
+
+            // 前プロセスに戻る
+            ClsExcute.BackProcess();
+        }
+        #endregion
+
+        #region 終了ボタンクリック
+        /// <summary>
+        /// 終了ボタンクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            this.Close();
+        }
+        #endregion
+
+        #region 初期フォームロード
+        /// <summary>
+        /// 初期フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmSubConstrRegist_Load(object sender, EventArgs e)
+        {
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+
+            // 表示オブジェクトのセット
+            SetDisplayObject();
+
+            // 法人格コンボボックスセット
+            SetcmbCorporateStatusCombBox();
+
+            // データクリア
+            ClearDisplay();
+
+            // ヘッダー情報表示
+            DispHeader();
+
+            // 更新データ表示処理
+            DispMentenanceData();
+
+            // 申請・承認表示処理
+            InitApprovalDisplay();
+
+            // 参照時ロック
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
+            // 承認画面の「承認対象データを見る」からの起動時は承認ボタンの表示がある
+            bool bApproval = ClsApprovalPermission.ExceApprovalScreen((int)ClsExcute.SubFormExecuteNo.ApprovalPerson);
+            if (bApproval)
+            {
+                // 承認対象コードを取得する
+                int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals(s_MyProcessName)).Key;
+                // 工事案件の管理部署を取得する
+                int DepartmentCode = ClsApprovalPermission.GetFromPersonAndApprovalTheDepartment(m_PersonCode, ApprovalCode, m_CreateDate, m_SeqNo);
+                // 案件に対して申請がされているかを確認する
+                bool Pettition = ClsApprovalPermission.CheckPersonPetition(m_PersonCode, ApprovalCode, m_CreateDate, m_SeqNo);
+                // ログイン者が承認者かを確認する
+                bool Approvaler = ClsApprovalPermission.CheckUserForApprover(ApprovalCode, DepartmentCode);
+                // 申請中でログイン者が承認者の場合は承認ボタンを表示する
+                if (Pettition && Approvaler)
+                {
+                    pnlApprovalButton.Visible = true;
+                }
+            }
+
+            m_bChengeAns = false;
+        }
+        #endregion
+
+        #region フィールド値変更フラグ
+        /// <summary>
+        /// フィールド値変更フラグ
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void valueChange(object sender, EventArgs e)
+        {
+            m_bChengeAns = true;
+        }
+        #endregion
+
+        #region 登録ボタン押下
+        /// <summary>
+        /// 登録ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataEntry_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                if (MessageBox.Show("表示中のデータを登録します。", "登録確認"
+                        , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return;
+
+                // データ登録
+                if (!SubConstrRegistDataEntry()) return;
+
+                CommonMotions.EntryEndMessage("協力業者登録申請データ");
+
+                m_bChengeAns = false;
+
+                this.Close();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 削除ボタン押下
+        /// <summary>
+        /// 削除ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataDelete_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                if (MessageBox.Show("表示中のデータを削除します。", "削除確認"
+                    , MessageBoxButtons.YesNo, MessageBoxIcon.Information) != DialogResult.Yes) return;
+
+                if (!SubConstrRegistDataRemove()) return;
+
+                CommonMotions.RemoveEndMessage("協力業者登録申請データ");
+
+                m_bChengeAns = false;
+
+                this.Close();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region Entryキーでの移動処理
+        /// <summary>
+        /// Entryキーでの移動処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmSubConstrRegist_KeyDown(object sender, KeyEventArgs e)
+        {
+            //Enterキーが押されているか確認
+            //AltかCtrlキーが押されている時は無視する
+            if ((e.KeyCode == Keys.Enter) && !e.Alt && !e.Control)
+            {
+                //あたかもTabキーが押されたかのようにする
+                //Shiftが押されている時は前のコントロールのフォーカスを移動
+                this.ProcessTabKey(!e.Shift);
+
+                e.Handled = true;
+                //.NET Framework 2.0以降
+                e.SuppressKeyPress = true;
+            }
+        }
+        #endregion
+
+        #region 住所検索ボタン押下
+        /// <summary>
+        /// 住所検索ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnSerchZip_Click(object sender, EventArgs e)
+        {
+            FrmAddressSearch Fad = new FrmAddressSearch();
+            try
+            {
+                //現在値セット
+                //郵便番号
+                if (!string.IsNullOrEmpty(m_dispControl[(int)DispCtrl.ZipCode].Text))
+                {
+                    Fad.ZipCodeArea = m_dispControl[(int)DispCtrl.ZipCode].Text;
+                }
+                //住所１
+                if (!string.IsNullOrEmpty(m_dispControl[(int)DispCtrl.Address1].Text))
+                {
+                    Fad.AddressArea1 = m_dispControl[(int)DispCtrl.Address1].Text;
+                }
+                //住所２
+                if (!string.IsNullOrEmpty(m_dispControl[(int)DispCtrl.Address2].Text))
+                {
+                    Fad.AddressArea2 = m_dispControl[(int)DispCtrl.Address2].Text;
+                }
+                //住所３
+                if (!string.IsNullOrEmpty(m_dispControl[(int)DispCtrl.Address2].Text))
+                {
+                    Fad.AddressArea3 = m_dispControl[(int)DispCtrl.Address3].Text;
+                }
+
+                //Fad.ShowInTaskbar = false;
+                Fad.ShowDialog();
+                // キャンセルボタン押下
+                if (Fad.CancelButtonClick) return;
+
+                //検索値取得
+                //郵便番号
+                if (!string.IsNullOrEmpty(Fad.ZipCodeArea))
+                    m_dispControl[(int)DispCtrl.ZipCode].Text = Fad.ZipCodeArea.Substring(0, 3) + "-" + Fad.ZipCodeArea.Substring(3);
+                //住所１
+                m_dispControl[(int)DispCtrl.Address1].Text = Fad.AddressArea1;
+                //住所２
+                m_dispControl[(int)DispCtrl.Address2].Text = Fad.AddressArea2;
+                //住所３
+                m_dispControl[(int)DispCtrl.Address3].Text = Fad.AddressArea3;
+
+                // 次コントロールへ
+                m_dispControl[(int)DispCtrl.PhoneNumber].Focus();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                Fad.Dispose();
+                Fad = null;
+            }
+        }
+        #endregion
+
+        #region 法人格radioButton変化有
+        /// <summary>
+        /// 法人格radioButton変化有
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void rdbPoint1_CheckedChanged(object sender, EventArgs e)
+        {
+            if (rdbPoint1.Checked)
+            {
+                cmbCorporateStatus.SelectedIndex = -1;
+                cmbCorporateStatus.Text = string.Empty;
+            }
+            m_bChengeAns = true;
+        }
+        #endregion
+
+        #region 日報印刷ボタン押下
+        /// <summary>
+        /// 日報印刷ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnPrint_Click(object sender, EventArgs e)
+        {
+
+        }
+        #endregion
+
+        #region 印刷キャンセルボタン押下
+        /// <summary>
+        /// 印刷キャンセルボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnCancel_Click(object sender, EventArgs e)
+        {
+        }
+        #endregion
+
+        #region 申請区分変更
+        /// <summary>
+        /// 申請区分変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void rdbDataMode_CheckedChanged(object sender, EventArgs e)
+        {
+            // 申請区分変更時処理
+            DataModeChange();
+        }
+        #endregion
+
+        #region 申請ボタン押下
+        /// <summary>
+        /// 申請ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnPetition_Click(object sender, EventArgs e)
+        {
+            // 申請ボタン押下処理
+            PetitionProcess();
+        }
+        #endregion
+
+        #region 承認ボタン押下
+        /// <summary>
+        /// 承認ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnApproval_Click(object sender, EventArgs e)
+        {
+            // 承認ボタン押下処理
+            ApprovalProcess();
+        }
+        #endregion
+
+        #region 承認パネル（pnlApproval）承認ボタン
+        /// <summary>
+        /// 承認パネル（pnlApproval）承認ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnOnApproval_Click(object sender, EventArgs e)
+        {
+            // 承認パネル（pnlApproval）承認ボタン 
+            OnApprovalProcess();
+        }
+        #endregion
+
+        #region 承認パネル（pnlApproval）保留ボタン
+        /// <summary>
+        /// 承認パネル（pnlApproval）保留ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnOnHold_Click(object sender, EventArgs e)
+        {
+            // 承認パネル（pnlApproval）保留ボタン押下処理
+            OnHoldProcess();
+        }
+        #endregion
+
+        #region 承認パネル（pnlApproval）不承認ボタン
+        /// <summary>
+        /// 承認パネル（pnlApproval）不承認ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnNotApproval_Click(object sender, EventArgs e)
+        {
+            // 承認パネル（pnlApproval）不承認ボタン押下処理
+            NotApprovalProcess();
+        }
+        #endregion
+
+        #region 発注者データ表示ボタン押下
+        /// <summary>
+        /// 発注者データ表示ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnOtherProc_Click(object sender, EventArgs e)
+        {
+            // マスタメンテナンスウ画面表示
+            DspOrderData();
+        }
+        #endregion
+
+        #region 協力会社施工工種追加ボタン
+        /// <summary>
+        /// 協力会社施工工種追加ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnJobItemAdd_Click(object sender, EventArgs e)
+        {
+            JobItemSelectFormDisplay();
+        }
+        #endregion
+
+        #region 協力会社施工工種削除ボタン
+        /// <summary>
+        /// 協力会社施工工種削除ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnJobItemDelete_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // 対象行
+                int RowCnt = dgvJobItem.CurrentRow.Index;
+                if (CommonMotions.chkCellBlank(dgvJobItem.CurrentRow.Cells[0].Value)) return;
+                // メッセージ表示
+                if (MessageBox.Show("選択した行を削除します。", "削除確認"
+                                    , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) != DialogResult.Yes) return;
+
+                // 行削除
+                dgvJobItem.Rows.RemoveAt(RowCnt);
+                dgvJobItem.Rows.Add();
+
+                // データ変更フラグon
+                m_bChengeAns = true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 施工職種追加ボタン
+        /// <summary>
+        /// 施工職種追加ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnJobLinkAdd_Click(object sender, EventArgs e)
+        {
+            JobLinkSelectFormDisplay();
+        }
+        #endregion
+
+        #region 施工職種削除ボタン
+        /// <summary>
+        /// 施工職種削除ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnJobLinkDelete_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // 対象行
+                int RowCnt = dgvJobLink.CurrentRow.Index;
+                if (CommonMotions.chkCellBlank(dgvJobLink.CurrentRow.Cells[0].Value)) return;
+                // メッセージ表示
+                if (MessageBox.Show("選択した行を削除します。", "削除確認"
+                                    , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) != DialogResult.Yes) return;
+
+                // 行削除
+                dgvJobLink.Rows.RemoveAt(RowCnt);
+                dgvJobLink.Rows.Add();
+
+                // データ変更フラグon
+                m_bChengeAns = true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 工種グリッドアップボタン
+        /// <summary>
+        /// 工種グリッドアップボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnJobItemUp_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // グリッドアップキー処理
+                DataGridViewAction.GridRowUpAction((DataGridView)dgvJobItem, 0, 1);
+
+                m_bChengeAns = true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 工種グリッドダウンボタン
+        /// <summary>
+        /// 工種グリッドダウンボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnJobItemDown_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // グリッドダウンキー処理
+                DataGridViewAction.GridRowDownAction((DataGridView)dgvJobItem, 0, 1);
+
+                m_bChengeAns = true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 職種グリッドアップボタン
+        /// <summary>
+        /// 職種グリッドアップボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnJobLinkUp_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // グリッドアップキー処理
+                DataGridViewAction.GridRowUpAction((DataGridView)dgvJobLink, 0, 1);
+
+                m_bChengeAns = true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 職種グリッドダウンボタン
+        /// <summary>
+        /// 職種グリッドダウンボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnJobLinkDown_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // グリッドダウンキー処理
+                DataGridViewAction.GridRowDownAction((DataGridView)dgvJobLink, 0, 1);
+
+                m_bChengeAns = true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 施工工種グリッドダブルクリック
+        /// <summary>
+        /// 施工工種グリッドダブルクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvJobItem_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
+        {
+            // 参照時は処理しない
+            if (m_EditLock) return;
+
+            JobItemSelectFormDisplay();
+        }
+        #endregion
+
+        #region 施工職種グリッドダブルクリック
+        /// <summary>
+        /// 施工職種グリッドダブルクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvJobLink_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
+        {
+            // 参照時は処理しない
+            if (m_EditLock) return;
+
+            JobLinkSelectFormDisplay();
+        }
+        #endregion
+
+        #region 取引開始日チェック
+        /// <summary>
+        /// 取引開始日チェック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void StartDate_Validated(object sender, EventArgs e)
+        {
+            // 登録日チェック
+            ChkStartDate();
+        }
+        #endregion
+
+        #region 手間ラジオボタンチェック
+        /// <summary>
+        /// 手間ラジオボタンチェック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void rdbPayment_CheckedChanged(object sender, EventArgs e)
+        {
+            m_bChengeAns = true;
+        }
+        #endregion
+    }
+}
\ No newline at end of file
